Package org.pushingpixels.lafwidget.desktop

# Class DesktopIconHoverPreviewWidget.TitleMouseHandler

java.lang.Object
java.awt.event.MouseAdapter
javax.swing.event.MouseInputAdapter
org.pushingpixels.lafwidget.desktop.DesktopIconHoverPreviewWidget.TitleMouseHandler

All Implemented Interfaces:
  `MouseListener`, `MouseMotionListener`, `MouseWheelListener`, `EventListener`, `MouseInputListener`

Enclosing class:
  `DesktopIconHoverPreviewWidget`

protected class DesktopIconHoverPreviewWidget.TitleMouseHandler extends MouseInputAdapter
Mouse handler for showing / hiding the preview window.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`TitleMouseHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`mouseDragged(MouseEvent e)`
`void`
`mouseEntered(MouseEvent e)`
`void`
`mouseExited(MouseEvent e)`
`void`
`mousePressed(MouseEvent e)`
`void`
`mouseReleased(MouseEvent e)`

### Methods inherited from class java.awt.event.MouseAdapter

`mouseClicked, mouseMoved, mouseWheelMoved`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.awt.event.MouseListener

`mouseClicked`

### Methods inherited from interface java.awt.event.MouseMotionListener

`mouseMoved`

## Constructor Details

### TitleMouseHandler

protected TitleMouseHandler()

## Method Details

### mouseEntered

public void mouseEntered(MouseEvent e)

Specified by:
  `mouseEntered` in interface `MouseListener`
Overrides:
  `mouseEntered` in class `MouseAdapter`

### mouseExited

public void mouseExited(MouseEvent e)

Specified by:
  `mouseExited` in interface `MouseListener`
Overrides:
  `mouseExited` in class `MouseAdapter`

### mousePressed

public void mousePressed(MouseEvent e)

Specified by:
  `mousePressed` in interface `MouseListener`
Overrides:
  `mousePressed` in class `MouseAdapter`

### mouseReleased

public void mouseReleased(MouseEvent e)

Specified by:
  `mouseReleased` in interface `MouseListener`
Overrides:
  `mouseReleased` in class `MouseAdapter`

### mouseDragged

public void mouseDragged(MouseEvent e)

Specified by:
  `mouseDragged` in interface `MouseMotionListener`
Overrides:
  `mouseDragged` in class `MouseAdapter`